Quais aplicativos Android pararão de funcionar em 2019? [UPDATE]

Which Android apps will stop working in 2019? [UPDATE]

No ano de 2019, o Google mais uma vez avançará os requisitos de API para aplicativos de todos os tipos, tornando obsoletos os aplicativos antigos. Se você usa um aplicativo atualizado com bastante regularidade, não precisa se preocupar com nada. No entanto, se você estiver usando um aplicativo que não foi atualizado desde que foi baixado pela primeira vez, pode ser necessário se preparar para o inevitável.

ATUALIZAÇÃO: Clareza

De acordo com o comunicado do Google sobre o assunto, “Os aplicativos existentes que não estão recebendo atualizações não são afetados e podem continuar a ser baixados da Play Store. Os aplicativos ainda podem usar qualquer minSdkVersion, portanto não há alterações na sua capacidade de criar aplicativos para versões mais antigas do Android. ”

Assim, mesmo que os aplicativos possam ficar “antigos” (nossa definição de antigo, conforme definida abaixo), eles continuarão a funcionar em telefones com versões mais antigas do Android. Se você, usuário, continuar usando a mesma versão do Android pelo resto da vida e nunca atualizar nenhum dos seus aplicativos, eles provavelmente continuarão funcionando.

O que aconteceu hoje?

O Google anunciou hoje que um novo conjunto de requisitos do Google Play entraria em vigor em duas datas importantes ainda este ano. Uma dessas datas é 1º de agosto de 2019. A outra é 1º de novembro de 2019. Para “fornecer aos usuários a melhor experiência possível com Android”, o Google continuará atualizando seus requisitos para aplicativos lançados no Loja de aplicativos do Google Play.

Em 1º de agosto de 2019, todos os novos aplicativos Android direcionados ao Google Play são necessários para segmentar o nível 28 da API (Android 9) ou superior. Em 1 de novembro de 2019, são necessárias ATUALIZAÇÕES para aplicativos Android EXISTENTES (também direcionados ao Google Play) para atingir o nível 28 ou superior da API. ATUALIZAÇÃO: inclui aplicativos direcionados a versões mais antigas do Android.

O que é um “aplicativo antigo?”

Um “aplicativo antigo” é aquele que não é atualizado (ou alterado de forma alguma) pelo desenvolvedor por um longo período de tempo. Acredite ou não, às vezes os desenvolvedores abandonam seu trabalho, permitindo que os usuários continuem usando os aplicativos, apesar da possibilidade de serem quebrados. Quando um aplicativo envelhece, há uma chance maior de ser infiltrado por entidades maliciosas. Aplicativos antigos também podem deixar de funcionar com novas versões de sistemas operacionais.

Meu aplicativo favorito envelhece?

É possível que seu aplicativo favorito fique velho – mas não é provável. Se você usa um aplicativo em um telefone Android antigo que não pode ser encontrado na loja de aplicativos do Google Play em um telefone mais novo, é possível que esse aplicativo não esteja sendo atualizado pelo desenvolvedor.

Você provavelmente não precisa se preocupar com isso acontecendo com seu aplicativo favorito, pois os aplicativos mais populares são atualizados basicamente constantemente. Se você tem um aplicativo que não funciona mais, geralmente não há problema em tentar entrar em contato com o desenvolvedor do aplicativo para solicitar que ele faça o trabalho para manter o aplicativo atualizado e atualizado.

Quando meu aplicativo favorito ficará desatualizado?

Qualquer aplicativo enviado ao Google Play após 1º de agosto de 2019 será necessário para segmentar o nível 28 da API. Portanto, você não precisará se preocupar com os NOVOS aplicativos que ficam obsoletos em breve. Todos os aplicativos que já estão na loja de aplicativos do Google Play e desejam enviar ATUALIZAÇÕES DE APLICATIVOS deverão fazê-lo com o nível 28 da API a partir de 1º de novembro de 2019.

• agosto de 2019: Todos os aplicativos no Android receberão avisos durante a instalação se não atingirem o nível 26 ou superior da API.
• novembro de 2019: As atualizações de aplicativos para aplicativos que já existem começarão a receber avisos durante a instalação por falha ao direcionar o nível de API 26 ou superior.
• 2020 em diante:

Portanto, se chegar a dezembro e você não tiver visto uma atualização do seu aplicativo de vez em quando, ele será oficialmente “antigo”. Cruze os dedos e espere uma atualização o mais rápido possível – ou entre em contato com o desenvolvedor do seu aplicativo para que isso aconteça!

0 Shares